/*------------------------------------*\
    #SEARCH-FORM
\*------------------------------------*/
/**
 * Search form component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}search-form,
%#{$inuit-namespace}search-form {
    display: inline-block;
    height: $drk-base-unit-small;
    margin-left: 200px;
    float: left;
    padding: (.2 * $drk-base-unit-small) 0;
    vertical-align: middle;

    @media #{$medium} {
        height: $drk-base-unit;
        margin-left: 180px;
        margin-top: -3px;
        padding: (.2 * $drk-base-unit) 0;
    }

    @media #{$large-up} {
        height: $drk-base-unit;
        margin-top: 0;
        padding: (.2 * $drk-base-unit) 0;
    }
}

.#{$inuit-namespace}search-form__item,
%#{$inuit-namespace}search-form__item {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.#{$inuit-namespace}search-form__label,
%#{$inuit-namespace}search-form__label {
    display: none;
}

.#{$inuit-namespace}search-form__field,
%#{$inuit-namespace}search-form__field {
    border: 0;
    display: inline-block;
    height: 100%;
    padding: (.02 * $drk-base-unit-small) .5em;
    vertical-align: top;
    width: drk-double($drk-base-unit);

    @include drk-placeholder {
        color: $drk-color-blue;
        text-transform: uppercase;
    }

    &:focus {
        background: $drk-color-light-beige;
    }

    @media #{$large-up} {
        padding-top: .04 * $drk-base-unit;
    }

}

.#{$inuit-namespace}search-form__submit,
%#{$inuit-namespace}search-form__submit {
    background: transparent;
    height: .6 * $drk-base-unit-small;
    width: .6 * $drk-base-unit-small;

    @media #{$large-up} {
        height: .6 * $drk-base-unit;
        width: .6 * $drk-base-unit;
    }
}

.#{$inuit-namespace}search-form__btn-text,
%#{$inuit-namespace}search-form__btn-text {
    display: none;
}

.#{$inuit-namespace}search-form__btn-img,
%#{$inuit-namespace}search-form__btn-img {
    padding: 0;
    stroke: $drk-color-blue;

    @media #{$large-up} {
        padding: rem-calc(5px);
    }
}
